com.aliyun.svideosdk.common.struct.project

## Class VideoEffect

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Effect
  - - com.aliyun.svideosdk.common.struct.project.VideoEffect

- Direct Known Subclasses:
    BlurBackground, RunningDisplayMode

      public class VideoEffect
      extends Effect

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `Effect.Type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VideoEffect(Effect.Type type, int streamId, int id, long startTimeMills, long durationMills)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` Gets the display duration of this effect.
    `int` | `getId()` Gets the id of this effect.
    `float` | `getIn()` Gets the time when this effect appears.
    `float` | `getOut()` Gets the time when this effect disappears.
    `long` | `getStartTime()` Gets the time when this effect appears.
    `int` | `getStreamId()` Gets the id of the video stream that this effect is applied to.
    `void` | `setDuration(long duration)` Sets the display duration of this effect.
    `void` | `setId(int id)` Sets the id of this effect.
    `void` | `setIn(float in)` Sets the time when this effect appears.
    `void` | `setOut(float out)` Sets the time when this effect disappears.
    `void` | `setStartTime(long startTime)` Sets the time when this effect appears.
    `void` | `setStreamId(int streamId)` Sets the id of the video stream that this effect is applied to.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoEffect

          protected VideoEffect(Effect.Type type,
                                int streamId,
                                int id,
                                long startTimeMills,
                                long durationMills)

  - ### Method Detail

    - #### getId

          public int getId()

      Gets the id of this effect.
      Returns:
        id

    - #### setId

          public void setId(int id)

      Sets the id of this effect. This method is automatically invoked by the system.
      Parameters:
        `id` -

    - #### getStreamId

          public int getStreamId()

      Gets the id of the video stream that this effect is applied to. The stream id is the video clip id.
      Returns:
        The stream id.

    - #### setStreamId

          public void setStreamId(int streamId)

      Sets the id of the video stream that this effect is applied to. The stream id is the video clip id.
      Parameters:
        `streamId` - The stream id.

    - #### getStartTime

          public long getStartTime()

      Gets the time when this effect appears.
      Returns:
        Unit: milliseconds.

    - #### setStartTime

          public void setStartTime(long startTime)

      Sets the time when this effect appears.
      Parameters:
        `startTime` - Unit: milliseconds.

    - #### getDuration

          public long getDuration()

      Gets the display duration of this effect.
      Returns:
        Unit: milliseconds.

    - #### setDuration

          public void setDuration(long duration)

      Sets the display duration of this effect.
      Parameters:
        `duration` - Unit: milliseconds.

    - #### getIn

          public float getIn()

      Gets the time when this effect appears.
      Returns:
        Unit: second.

    - #### setIn

          public void setIn(float in)

      Sets the time when this effect appears.
      Parameters:
        `in` - Unit: second.

    - #### getOut

          public float getOut()

      Gets the time when this effect disappears.
      Returns:
        Unit: second.

    - #### setOut

          public void setOut(float out)

      Sets the time when this effect disappears.
      Parameters:
        `out` - Unit: second.